Get Job
Get a job
Retrieve a specific job.
Request
URI
GET
https://api.example.local/v3/jobs/{guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
Successfully retrieved job
Returns
Job
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"operation": "string",
"state": "string",
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
],
"warnings": [
{
"detail": "string"
}
],
"links": {
"self": {
"href": "string",
"method": "string"
},
"manifest": {
"href": "string",
"method": "string"
},
"service_brokers": {
"href": "string",
"method": "string"
},
"service_credential_binding": {
"href": "string",
"method": "string"
},
"service_instances": {
"href": "string",
"method": "string"
},
"service_route_bindings": {
"href": "string",
"method": "string"
}
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
502
Bad Gateway
Returns
BadGateway
of type(s)
application/json
{
"code": 0,
"detail": "string",
"title": "string"
}
integer
code
Optional
A numeric code for this error
string
detail
Optional
Detailed description of the error
string
title
Optional
Name of the error
503
Service Unavailable
Returns
ServiceUnavailable
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/jobs/{guid}
Jobs Operations
GET
Get Job